{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":530,"path":"api-reference/rest-apis/product-inventory-open-api.md","title":"Product Inventory Open API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Product Inventory Open API\n\nThe Product Inventory Open API provides endpoints to create and retrieve product inventories.\n\nUse this API to manage product inventory information between external systems and the ServiceNow AI Platform.\n\nThis API is included in the Product Inventory Advanced application, which is available on the ServiceNow Store.\n\nThis API is provided within the `sn_prd_invt` namespace.\n\nThe calling user must have the sn\\_prd\\_invt.product\\_inventory\\_integrator role.\n\nThis API creates and updates data in the following tables.\n\n-   Product Characteristics \\[sn\\_prd\\_invt\\_product\\_characteristics\\]\n-   Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n-   Product Model \\[cmdb\\_model\\]\n-   Product Model Characteristic \\[sn\\_prd\\_pm\\_product\\_model\\_characteristic\\]\n\nThe Product Inventory Open API is a ServiceNow® implementation of the TM Forum Product Inventory Management API REST specification. This implementation is based on the [TMF637 Product Inventory Management API User Guide v5.0.0](https://www.tmforum.org/resources/specifications/tmf637-product-inventory-management-api-user-guide-v5-0-0/), September 2024. The Product Inventory Open API is conformance certified by TM Forum.\n\n\\[Omitted image \"tmf-conformance.png\"\\] Alt text: TMF conformance logo\n\n**Note:** By default, POST /sn\\_prd\\_invt/product accepts and returns a single JSON object. `GET` endpoints return **status** as a display label, such as `Installation pending`, and the product reference field is named **product**. To change the default behavior, create a system property **sn\\_prd\\_invt.tmf637.version4** and set the value to `true`. When `true`, POST /sn\\_prd\\_invt/product accepts and returns a JSON array. `GET` endpoints return **status** as an internal value, such as `installation_pending`, and the product reference field is named **productId**. Set the property to `false` to return to the default behavior.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Product Inventory Open API – DELETE /sn\\_prd\\_invt/order/product/\\{id\\}\n\nDeletes a specified product inventory record.\n\n### URL format\n\nDefault URL: `/api/sn_prd_invt/order/product/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the product inventory to delete.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|204|No Content. Record successfully deleted.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n\n### Response body parameters \\(JSON\\)\n\n|Name|Description|\n|----|-----------|\n|None||\n\n### cURL request\n\nThis example deletes a product inventory record.\n\n```\ncurl \"https://instance.service-now.com/api/sn_prd_invt/product/01b2f9972b8c72d07a83f395f291bf53\" \\\n--request DELETE \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nNo response body is returned when a product inventory record is successfully deleted.\n\n## Product Inventory Open API - GET /sn\\_prd\\_invt/product\n\nRetrieves a list of all product inventories.\n\n### URL format\n\nDefault URL: `api/sn_prd_invt/product`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"table_pfr_vgy_fsb\" class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncustomer\n\n</td><td>\n\nFilter product inventories by customer. Only product offerings with a customer sys\\_id or external ID matching the value of this parameter are returned in the response.Data type: String\n\nDefault: Don't filter by customer.\n\n</td></tr><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored.Data type: String\n\nDefault: Return all fields.\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **offset** parameter to paginate record retrieval. Data type: Number\n\nDefault: 20\n\nMaximum: 100\n\n</td></tr><tr><td>\n\noffset\n\n</td><td>\n\nStarting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nFilter product inventories by location.Data type: Object\n\n```\n\"place\": {\n  \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id or external id of the location associated with the product inventory record.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\nField: sys\\_id or sn\\_tmt\\_core\\_external\\_id\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nFilter product inventories by status. Only product inventories with a status matching the value of this parameter are returned in the response.Data type: String\n\nDefault: Don't filter by status.\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n<table id=\"table_idy_qgm_lsb\" class=\"rest_api_response_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"content-range-row\"><td>\n\nContent-Range\n\n</td><td>\n\nRange of content returned in a paginated call. For example, if `offset=2` and `limit=3`, the value of the **Content-Range** header is `items 3-5`.\n\n</td></tr><tr id=\"content-type-row\"><td>\n\nContent-Type\n\n</td><td>\n\nData format of the response body. Only supports **application/json**.\n\n</td></tr><tr id=\"links-pagination-row\"><td>\n\nLink\n\n</td><td>\n\nContains the following links to navigate through query results.-   first\n-   last\n-   next\n-   previous\n\n</td></tr><tr id=\"x-total-count-row\"><td id=\"x-total-count\">\n\nX-Total-Count\n\n</td><td>\n\nFor paginated queries, this header specifies the total number of records available on the server.\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_hl1_rcm_lsb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"tmf-get-status-200-entry\">\n\nRequest successfully processed. Full resource returned in response \\(no pagination\\).\n\n</td></tr><tr><td>\n\n206\n\n</td><td id=\"tmf-get-status-206-entry\">\n\nPartial resource returned in response \\(with pagination\\).\n\n</td></tr><tr><td>\n\n400\n\n</td><td id=\"tmf-get-status-400-entry\">\n\nBad request. Possible reasons:\n\n-   Invalid path parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"tmf-get-status-404-entry\">\n\nRecord not found. No records matching the query parameters are found in the table.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"table_shr_nvy_3sb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the product inventory record.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the product inventory.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nExternal ID of the product inventory.Table: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the product inventory.Data type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nLocation of the product.Data type: Array\n\n```\n\"place\": [\n   {\n      \"id\": \"String\",\n      \"name\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nLocation sys\\_id or external id.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\nField: sys\\_id or sn\\_tmt\\_core\\_external\\_id\n\n</td></tr><tr><td>\n\nplace.name\n\n</td><td>\n\nName of the location.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\nField: name\n\n</td></tr><tr><td>\n\nproductCharacteristic\n\n</td><td>\n\nList of product characteristics.For additional information on product characteristics, see [Create a product offering category](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-create-product-offering-category.md).\n\nData type: Array of Objects\n\n```\n\"productCharacteristic\": [\n {\n  \"name\": \"String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nproductCharacteristic.name\n\n</td><td>\n\nName of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nproductCharacteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nproductCharacteristic.valueType\n\n</td><td>\n\nType of characteristic value.Accepted values:\n\n-   address\n-   array.date\n-   array.datetime\n-   array.decimal\n-   array.integer\n-   array.object\n-   array.single\\_line\\_text\n-   attachment\n-   checkbox\n-   choice\n-   date\n-   date\\_time\n-   decimal\n-   duration\n-   email\n-   integer\n-   object\n-   single\\_line\\_text\n-   yes\\_no\n\nData type: String\n\n</td></tr><tr><td>\n\nproductId\n\n</td><td>\n\nSys\\_id of the product model for the product inventory.Data type: String\n\nTable: Product Model \\[cmdb\\_model\\]\n\n</td></tr><tr><td>\n\nproductOffering\n\n</td><td>\n\nProduct offering that the product inventory is associated with.Data type: Object\n\n```\n\"productOffering\": {\n   \"id\": \"String\",\n   \"internalId\": \"String\",\n   \"internalVersion\": \"String\",\n   \"name\": \"String\",\n   \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOffering.id\n\n</td><td>\n\nInitial version or external ID of the product offering. Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: initial\\_version or external\\_id\n\n</td></tr><tr><td>\n\nproductOffering.internalId\n\n</td><td>\n\nInternal version of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: internal\\_version\n\n</td></tr><tr><td>\n\nproductOffering.internalVersion\n\n</td><td>\n\nVersion of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: version\n\n</td></tr><tr><td>\n\nproductOffering.name\n\n</td><td>\n\nName of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nproductOffering.version\n\n</td><td>\n\nExternal version of the product offering. Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: external\\_version\n\n</td></tr><tr><td>\n\nproductPrice\n\n</td><td>\n\nReturns an empty array.Data type: Array\n\n</td></tr><tr><td>\n\nproductRelationship\n\n</td><td>\n\nList of related products.Data type: Array of Objects\n\n```\n\"productRelationship\": [\n  {\n    \"productId\": \"String\",\n    \"relationshipType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductRelationship.productId\n\n</td><td>\n\nSys\\_id of the related product.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nproductRelationship.relationshipType\n\n</td><td>\n\nType of relationship.Data type: String\n\n</td></tr><tr><td>\n\nproductSpecification\n\n</td><td>\n\nProduct specification for the product.Data type: Object\n\n```\n\"productSpecification\": {\n  \"id\": \"String\",\n  \"internalId\": \"String\",\n  \"internalVersion\": \"String\",\n  \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductSpecification.id\n\n</td><td>\n\nInitial version or external ID of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: internal\\_version or external\\_id\n\n</td></tr><tr><td>\n\nproductSpecification.internalId\n\n</td><td>\n\nInitial version of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: initial\\_version\n\n</td></tr><tr><td>\n\nproductSpecification.internalVersion\n\n</td><td>\n\nVersion of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: version\n\n</td></tr><tr><td>\n\nproductSpecification.version\n\n</td><td>\n\nExternal version of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: external\\_version\n\n</td></tr><tr><td>\n\nrealizingResource\n\n</td><td>\n\nResource that realizes the product. The realizing resource is a child product inventory of this product inventory.Data type: Object\n\n```\n\"realizingResource\": {\n  \"id\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingResource.id\n\n</td><td>\n\nSys\\_id of the realizing resource. Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingResource.name\n\n</td><td>\n\nName of the realizing resource. Data type: String\n\n</td></tr><tr><td>\n\nrealizingResource.type\n\n</td><td>\n\nType of the realizing resource.Valid value: child\n\nData type: String\n\n</td></tr><tr><td>\n\nrealizingService\n\n</td><td>\n\nService that realizes the product. The realizing service is a child product inventory of this product inventory.Data type: Object\n\n```\n\"realizingService\": {\n  \"id\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingService.id\n\n</td><td>\n\nSys\\_id of the realizing service. Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingService.name\n\n</td><td>\n\nName of the realizing service. Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingService.type\n\n</td><td>\n\nType of the realizing service.Valid value: child\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties associated with the ticket.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"@referredType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the account or customer contact associated with the ticket.Data type: String\n\nTable: Account \\[customer\\_account\\], Contact \\[customer\\_contact\\], or Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of customer.Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nCurrent state of the product.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example retrieves all product inventories.\n\n```\ncurl --location --request GET \"https://instance.service-now.com/api/sn_prd_invt/product\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n[\n  {\n    \"id\": \"23562ee2e445b5443110f87235736620\",\n    \"externalId\": \"LOC-SF-HQ-2026\",\n    \"relatedParty\": [\n      {\n        \"id\": \"9e2fd2ee11b43110f877366201dea674\",\n        \"name\": \"Startech svcs\",\n        \"@type\": \"RelatedParty\",\n        \"@referredType\": \"Customer\"\n      },\n      {\n        \"id\": \"dca96eaa11f43110f877366201dea6c1\",\n        \"name\": \"Alex Star\",\n        \"@type\": \"RelatedParty\",\n        \"@referredType\": \"CustomerContact\"\n      }\n    ],\n    \"name\": \"test_098 PI0001002\",\n    \"productSpecification\": {\n      \"id\": \"test_123\",\n      \"name\": \"test_123\",\n      \"version\": \"\",\n      \"internalVersion\": \"1\",\n      \"internalId\": \"c9b6a51221590f50f877be98c79c230b\",\n      \"@type\": \"productSpecificationRef\"\n    },\n    \"status\": \"installation_pending\",\n    \"productOffering\": {\n      \"id\": \"test_123\",\n      \"name\": \"test_123\",\n      \"version\": \"\",\n      \"internalVersion\": \"1\",\n      \"internalId\": \"0308a5d221590f50f877be98c79c2303\",\n      \"@type\": \"productOfferingRef\"\n    },\n    \"productId\": \"\",\n    \"place\": [\n      {\n        \"id\": \"6774fee611383110f877366201dea64f\",\n        \"name\": \"222 Star St, Santa Clara, CA 94560\"\n      }\n    ],\n    \"productRelationship\": [],\n    \"realizingService\": [],\n    \"realizingResource\": [],\n    \"horizontalRelationship\": [],\n    \"@type\": \"Product\",\n    \"productPrice\": [],\n    \"href\": \"/api/sn_prd_invt/product/testt21313\",\n    \"billingAccount\": \"Not Specified.\"\n  },\n  {\n    \"id\": \"02917c3577b301108e191e599a5a99cf\",\n    \"relatedParty\": [\n      {\n        \"id\": \"ffc68911c35420105252716b7d40dd55\",\n        \"name\": \"Funco Intl\",\n        \"@type\": \"RelatedParty\",\n        \"@referredType\": \"Customer\"\n      },\n      {\n        \"id\": \"eaf68911c35420105252716b7d40ddde\",\n        \"name\": \"Sally Thomas\",\n        \"@type\": \"RelatedParty\",\n        \"@referredType\": \"CustomerContact\"\n      }\n    ],\n    \"name\": \"SD WAN Optimization Service PI0000045\",\n    \"productSpecification\": {\n      \"id\": \"16d79ec3532520103b6bddeeff7b12a6\",\n      \"name\": \"SD WAN Optimization Service\",\n      \"version\": \"\",\n      \"internalVersion\": \"1\",\n      \"internalId\": \"16d79ec3532520103b6bddeeff7b12a6\",\n      \"@type\": \"productSpecificationRef\"\n    },\n    \"status\": \"active\",\n    \"productOffering\": {\n      \"id\": \"ff93e80477f301108b2a1e599a5a9901\",\n      \"name\": \"Premium SD-WAN Offering\",\n      \"version\": \"\",\n      \"internalVersion\": \"2\",\n      \"internalId\": \"69017a0f536520103b6bddeeff7b127d\",\n      \"@type\": \"productOfferingRef\"\n    },\n    \"productId\": \"28adfdf15b7520102dff5e92dc81c75d\",\n    \"productCharacteristic\": [\n      {\n        \"name\": \"SSL Optimization\",\n        \"valueType\": \"Choice\",\n        \"value\": \"\",\n        \"@type\": \"productCharacteristicRef\"\n      },\n      {\n        \"name\": \"CIFS Optimization\",\n        \"valueType\": \"Choice\",\n        \"value\": \"\",\n        \"@type\": \"productCharacteristicRef\"\n      }\n    ],\n    \"productRelationship\": [],\n    \"realizingService\": [\n      {\n        \"id\": \"42917c3577b301108e191e599a5a99ee\",\n        \"name\": \"Deduplication and Compression PI0000046\",\n        \"@type\": \"realizingServiceRef\"\n      }\n    ],\n    \"realizingResource\": [],\n    \"horizontalRelationship\": [],\n    \"@type\": \"Product\",\n    \"productPrice\": [],\n    \"href\": \"/api/sn_prd_invt/product/02917c3577b301108e191e599a5a99cf\",\n    \"billingAccount\": \"Not Specified.\"\n  },\n  {\n    \"id\": \"test_post_new_002\",\n    \"relatedParty\": [\n      {\n        \"id\": \"1d253ada77250110531ba8e48f5a996d\",\n        \"name\": \"Valeire Hunt\",\n        \"@type\": \"RelatedParty\",\n        \"@referredType\": \"Consumer\"\n      }\n    ],\n    \"name\": \"test_123 PI0001031 PI0001051\",\n    \"productSpecification\": {\n      \"id\": \"268b81f621e9c314f877be98c79c2362\",\n      \"name\": \"test_invt\",\n      \"version\": \"\",\n      \"internalVersion\": \"1\",\n      \"internalId\": \"268b81f621e9c314f877be98c79c2362\",\n      \"@type\": \"productSpecificationRef\"\n    },\n    \"status\": \"active\",\n    \"productOffering\": {\n      \"id\": \"\",\n      \"name\": \"\",\n      \"version\": \"\",\n      \"internalVersion\": \"\",\n      \"internalId\": \"\",\n      \"@type\": \"productOfferingRef\"\n    },\n    \"productId\": \"027ddeb13710200044e0bfc8bcbe5d00\",\n    \"place\": [\n      {\n        \"id\": \"729fd006212d0fd0f877be98c79c23a8\",\n        \"name\": \"123\"\n      }\n    ],\n    \"productRelationship\": [],\n    \"realizingService\": [],\n    \"realizingResource\": [\n      {\n        \"id\": \"c6d1b09f21edc714f877be98c79c236b\",\n        \"name\": \"test_hunt_2 PI0001047\",\n        \"@type\": \"realizingResourceRef\"\n      }\n    ],\n    \"horizontalRelationship\": [],\n    \"@type\": \"Product\",\n    \"productPrice\": [],\n    \"href\": \"/api/sn_prd_invt/product/test_post_new_002\",\n    \"billingAccount\": \"Not Specified.\"\n  }\n]\n```\n\n## Product Inventory Open API - GET /sn\\_prd\\_invt/product/\\{id\\}\n\nRetrieves a specified product inventory record.\n\n### URL format\n\nDefault URL: `/api/sn_prd_invt/product/{id}`\n\n### Supported request parameters\n\n<table id=\"table_apt_nkz_gsb\" class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the product inventory to retrieve.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr></tbody>\n</table><table id=\"table_pfr_vgy_fsb\" class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncustomer\n\n</td><td>\n\nFilter product inventories by customer. Only product offerings with a customer sys\\_id or external ID matching the value of this parameter are returned in the response.Data type: String\n\nDefault: Don't filer y customer.\n\n</td></tr><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored.Data type: String\n\nDefault: All fields returned.\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nFilter product inventories by location.Data type: Object\n\n```\n\"place\": {\n  \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id or external id of the location associated with the product inventory record.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\nField: sys\\_id or sn\\_tmt\\_core\\_external\\_id\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nFilter product inventories by status. Only product inventories with a status matching the value of this parameter are returned in the response.Data type: String\n\nDefault: Don't filter by status.\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_nxj_ykz_gsb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td>\n\nRequest successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad Request. Could be any of the following reasons:\n\n-   Invalid path parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td>\n\nRecord not found. Record associated with the ID is not found in the table.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"table_shr_nvy_3sb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nbillingAccount\n\n</td><td>\n\nBilling account of the product inventory record.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nExternal ID of the product inventory.Table: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the product inventory record.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the product inventoryData type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the product inventory.Data type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nLocation of the product.Data type: Array\n\n```\n\"place\": [\n   {\n      \"id\": \"String\",\n      \"name\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nLocation sys\\_id or external id.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\nField: sys\\_id or sn\\_tmt\\_core\\_external\\_id\n\n</td></tr><tr><td>\n\nplace.name\n\n</td><td>\n\nName of the location.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\nField: name\n\n</td></tr><tr><td>\n\nproductCharacteristic\n\n</td><td>\n\nList of product characteristics.For additional information on product characteristics, see [Create a product offering category](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-create-product-offering-category.md).\n\nData type: Array of Objects\n\n```\n\"productCharacteristic\": [\n {\n  \"name\": \"String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nproductCharacteristic.name\n\n</td><td>\n\nName of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nproductCharacteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nproductCharacteristic.valueType\n\n</td><td>\n\nType of characteristic value.Accepted values:\n\n-   address\n-   array.date\n-   array.datetime\n-   array.decimal\n-   array.integer\n-   array.object\n-   array.single\\_line\\_text\n-   attachment\n-   checkbox\n-   choice\n-   date\n-   date\\_time\n-   decimal\n-   duration\n-   email\n-   integer\n-   object\n-   single\\_line\\_text\n-   yes\\_no\n\nData type: String\n\n</td></tr><tr><td>\n\nproductId\n\n</td><td>\n\nSys\\_id of the product model for the product inventory.Data type: String\n\nTable: Product Model \\[cmdb\\_model\\]\n\n</td></tr><tr><td>\n\nproductOffering\n\n</td><td>\n\nProduct offering that the product inventory is associated with.Data type: Object\n\n```\n\"productOffering\": {\n   \"id\": \"String\",\n   \"internalId\": \"String\",\n   \"internalVersion\": \"String\",\n   \"name\": \"String\",\n   \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOffering.id\n\n</td><td>\n\nInitial version or external ID of the product offering. Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: initial\\_version or external\\_id\n\n</td></tr><tr><td>\n\nproductOffering.internalId\n\n</td><td>\n\nInternal version of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: internal\\_version\n\n</td></tr><tr><td>\n\nproductOffering.internalVersion\n\n</td><td>\n\nVersion of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: version\n\n</td></tr><tr><td>\n\nproductOffering.name\n\n</td><td>\n\nName of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nproductOffering.version\n\n</td><td>\n\nExternal version of the product offering. Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: external\\_version\n\n</td></tr><tr><td>\n\nproductPrice\n\n</td><td>\n\nReturns an empty array.Data type: Array\n\n</td></tr><tr><td>\n\nproductRelationship\n\n</td><td>\n\nList of related products.Data type: Array of Objects\n\n```\n\"productRelationship\": [\n  {\n    \"productId\": \"String\",\n    \"relationshipType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductRelationship.productId\n\n</td><td>\n\nSys\\_id of the related product.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nproductRelationship.relationshipType\n\n</td><td>\n\nType of relationship.Data type: String\n\n</td></tr><tr><td>\n\nproductSpecification\n\n</td><td>\n\nProduct specification for the product.Data type: Object\n\n```\n\"productSpecification\": {\n  \"id\": \"String\",\n  \"internalId\": \"String\",\n  \"internalVersion\": \"String\",\n  \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductSpecification.id\n\n</td><td>\n\nInitial version or external ID of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: internal\\_version or external\\_id\n\n</td></tr><tr><td>\n\nproductSpecification.internalId\n\n</td><td>\n\nInitial version of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: initial\\_version\n\n</td></tr><tr><td>\n\nproductSpecification.internalVersion\n\n</td><td>\n\nVersion of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: version\n\n</td></tr><tr><td>\n\nproductSpecification.version\n\n</td><td>\n\nExternal version of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: external\\_version\n\n</td></tr><tr><td>\n\nrealizingResource\n\n</td><td>\n\nResource that realizes the product. The realizing resource is a child product inventory of this product inventory.Data type: Object\n\n```\n\"realizingResource\": {\n  \"id\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingResource.id\n\n</td><td>\n\nSys\\_id of the realizing resource. Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingResource.name\n\n</td><td>\n\nName of the realizing resource. Data type: String\n\n</td></tr><tr><td>\n\nrealizingResource.type\n\n</td><td>\n\nType of the realizing resource.Valid value: child\n\nData type: String\n\n</td></tr><tr><td>\n\nrealizingService\n\n</td><td>\n\nService that realizes the product. The realizing service is a child product inventory of this product inventory.Data type: Object\n\n```\n\"realizingService\": {\n  \"id\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingService.id\n\n</td><td>\n\nSys\\_id of the realizing service. Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingService.name\n\n</td><td>\n\nName of the realizing service. Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingService.type\n\n</td><td>\n\nType of the realizing service.Valid value: child\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties associated with the ticket.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"@referredType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the account or customer contact associated with the ticket.Data type: String\n\nTable: Account \\[customer\\_account\\], Contact \\[customer\\_contact\\], or Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nrelatedParty.type\n\n</td><td>\n\nType of related party. Value is always `Related Party`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of customer, such as a customer or customer contact.Data type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nCurrent state of the product.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example retrieves a specified product inventory.\n\n```\ncurl -X GET 'https://instance.service-now.com/api/sn_prd_invt/product/037fd87ec3603010abc8b5183c40ddf2' \\\n--user 'username':'password'\n```\n\nOutput:\n\n```\n{\n  \"id\": \"209aa30421710354f877be98c79c2364\",\n  \"externalId\": \"LOC-SF-HQ-2026\",\n  \"relatedParty\": [\n    {\n      \"id\": \"1d253ada77250110531ba8e48f5a996d\",\n      \"name\": \"Valeire Hunt\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"Consumer\"\n    }\n  ],\n  \"name\": \"trert_terewt PI0001072\",\n  \"productSpecification\": {\n    \"id\": \"e9f13b0421b10354f877be98c79c234e\",\n    \"name\": \"test_wert\",\n    \"version\": \"\",\n    \"internalVersion\": \"1\",\n    \"internalId\": \"e9f13b0421b10354f877be98c79c234e\",\n    \"@type\": \"productSpecificationRef\"\n  },\n  \"status\": \"active\",\n  \"productOffering\": {\n    \"id\": \"9732b34421b10354f877be98c79c2378\",\n    \"name\": \"test_wert\",\n    \"version\": \"\",\n    \"internalVersion\": \"1\",\n    \"internalId\": \"9732b34421b10354f877be98c79c2378\",\n    \"@type\": \"productOfferingRef\"\n  },\n  \"productId\": \"ed44fb4821b10354f877be98c79c23c9\",\n  \"productCharacteristic\": [\n    {\n      \"name\": \"ASN Information\",\n      \"valueType\": \"Object\",\n      \"value\": {\n        \"ASN Type\": \"\",\n        \"ASN\": \"65500\",\n        \"Area\": \"42\",\n        \"Downstream ASNs\": []\n      },\n      \"@type\": \"productCharacteristicRef\"\n    }\n  ],\n  \"productRelationship\": [],\n  \"realizingService\": [\n    {\n      \"id\": \"848de83d21f18f54f877be98c79c2357\",\n      \"name\": \"Premium SD-WAN Offering PI0001023 PI0001077\",\n      \"@type\": \"realizingServiceRef\"\n    }\n  ],\n  \"realizingResource\": [\n    {\n      \"id\": \"286da0f921f18f54f877be98c79c23b3\",\n      \"name\": \"SD WAN INVENTORY PI0001076\",\n      \"@type\": \"realizingResourceRef\"\n    }\n  ],\n  \"horizontalRelationship\": [],\n  \"@type\": \"Product\",\n  \"productPrice\": [],\n  \"href\": \"/api/sn_prd_invt/product/209aa30421710354f877be98c79c2364\",\n  \"billingAccount\": \"Not Specified.\"\n}\n```\n\n## Product Inventory Open API - GET /sn\\_prd\\_invt/productinventory\n\nRetrieves a list of all product inventories.\n\n**Important:** Starting with the Tokyo release, this endpoint is deprecated. The new version of this endpoint is [Product Inventory Open API - GET /sn\\_prd\\_invt/product](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/product-inventory-open-api.md).\n\n### URL format\n\nDefault URL: `api/sn_prd_invt/productinventory`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"table_pfr_vgy_fsb\" class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncustomer\n\n</td><td>\n\nFilter product inventories by customer. Only product offerings with a customer sys\\_id or external ID matching the value of this parameter are returned in the response.Data type: String\n\nDefault: Don't filter by customer.\n\n</td></tr><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored.Data type: String\n\nDefault: All fields are returned.\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **offset** parameter to paginate record retrieval. Data type: Number\n\nDefault: 20\n\nMaximum: 100\n\n</td></tr><tr><td>\n\noffset\n\n</td><td>\n\nStarting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nFilter product inventories by location.Data type: Object\n\n```\n\"place\": {\n  \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id or external id of the location associated with the product inventory record.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\nField: sys\\_id or sn\\_tmt\\_core\\_external\\_id\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nFilter product inventories by status. Only product inventories with a status matching the value of this parameter are returned in the response.Data type: String\n\nDefault: Don't filter by inventory status.\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n<table id=\"table_idy_qgm_lsb\" class=\"rest_api_response_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"content-range-row\"><td>\n\nContent-Range\n\n</td><td>\n\nRange of content returned in a paginated call. For example, if `offset=2` and `limit=3`, the value of the **Content-Range** header is `items 3-5`.\n\n</td></tr><tr id=\"content-type-row\"><td>\n\nContent-Type\n\n</td><td>\n\nData format of the response body. Only supports **application/json**.\n\n</td></tr><tr id=\"links-pagination-row\"><td>\n\nLink\n\n</td><td>\n\nContains the following links to navigate through query results.-   first\n-   last\n-   next\n-   previous\n\n</td></tr><tr id=\"x-total-count-row\"><td id=\"x-total-count\">\n\nX-Total-Count\n\n</td><td>\n\nFor paginated queries, this header specifies the total number of records available on the server.\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_hl1_rcm_lsb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"tmf-get-status-200-entry\">\n\nRequest successfully processed. Full resource returned in response \\(no pagination\\).\n\n</td></tr><tr><td>\n\n206\n\n</td><td id=\"tmf-get-status-206-entry\">\n\nPartial resource returned in response \\(with pagination\\).\n\n</td></tr><tr><td>\n\n400\n\n</td><td id=\"tmf-get-status-400-entry\">\n\nBad request. Possible reasons:\n\n-   Invalid path parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"tmf-get-status-404-entry\">\n\nRecord not found. No records matching the query parameters are found in the table.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"table_shr_nvy_3sb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nexternalId\n\n</td><td>\n\nExternal ID of the product inventory.Table: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the product inventory.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the product inventory.Data type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nPlace associated with the product.Data type: Object\n\n```\n\"place\": {\n  \"id\": \"String\",\n  \"name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nLocation sys\\_id or external\\_id of the product inventory.Table: Location \\[cmn\\_location\\]\n\nData: String\n\n</td></tr><tr><td>\n\nplace.name\n\n</td><td>\n\nName of the location associated with the product inventory.Table: Location \\[cmn\\_location\\]\n\nData: String\n\n</td></tr><tr><td>\n\nproductCharacteristic\n\n</td><td>\n\nList of product characteristics.For additional information on product characteristics, see [Create a product offering category](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-create-product-offering-category.md).\n\nData type: Array of Objects\n\n```\n\"productCharacteristic\": [\n {\n  \"name\": \"String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nproductCharacteristic.name\n\n</td><td>\n\nName of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nproductCharacteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nproductCharacteristic.valueType\n\n</td><td>\n\nType of characteristic value.Accepted values:\n\n-   address\n-   array.date\n-   array.datetime\n-   array.decimal\n-   array.integer\n-   array.object\n-   array.single\\_line\\_text\n-   attachment\n-   checkbox\n-   choice\n-   date\n-   date\\_time\n-   decimal\n-   duration\n-   email\n-   integer\n-   object\n-   single\\_line\\_text\n-   yes\\_no\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOffering\n\n</td><td>\n\nProduct offering that the product inventory is associated with.Data type: Object\n\n```\n\"productOffering\": {\n  \"id\": \"String\",\n  \"name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOffering.id\n\n</td><td>\n\nSys\\_id of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nproductOffering.name\n\n</td><td>\n\nName of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nproductRelationship\n\n</td><td>\n\nList of related products.Data type: Array of Objects\n\n```\n\"productRelationship\": [\n  {\n    \"productId\": \"String\",\n    \"relationshipType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductRelationship.productId\n\n</td><td>\n\nSys\\_id of the related product.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nproductRelationship.relationshipType\n\n</td><td>\n\nType of relationship.Data type: String\n\n</td></tr><tr><td>\n\nproductSpecification\n\n</td><td>\n\nProduct specification for the product.Data type: Object\n\n```\n\"productSpecification\": {\n  \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductSpecification.id\n\n</td><td>\n\nSys\\_id of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\n</td></tr><tr><td>\n\nrealizingResource\n\n</td><td>\n\nRealizing resource.Data type: Object\n\n```\n\"realizingResource\": {\n  \"id\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingResource.id\n\n</td><td>\n\nSys\\_id of the realizing resource.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingResource.type\n\n</td><td>\n\nType of the realizing resource.Data type: String\n\n</td></tr><tr><td>\n\nrealizingService\n\n</td><td>\n\nRealizing service.Data type: Object\n\n```\n\"realizingService\": {\n  \"id\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingService.id\n\n</td><td>\n\nSys\\_id of the realizing service.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingService.type\n\n</td><td>\n\nType of the realizing service.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties associated with the ticket.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"@referredType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the account or customer contact associated with the ticket.Data type: String\n\nTable: Account \\[customer\\_account\\], Contact \\[customer\\_contact\\] or Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party. Value is always `Related Party`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.type\n\n</td><td>\n\nType of customer.Possible values:\n\n-   consumer\n-   customer\n-   customerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nCurrent state of the product.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example retrieves all product inventories.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_prd_invt/productinventory\" \\\n--request GET \\\n--user 'username':'password'\n\n```\n\nResponse body.\n\n```\n[\n   {\n      \"id\": \"075072aec3a83010abc8b5183c40dd44\",\n      \"externalId\": \"LOC-SF-HQ-2026\",\n      \"relatedParty\": [\n         {\n            \"id\": \"ffc68911c35420105252716b7d40dd55\",\n            \"name\": \"Funco Intl\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Customer\"\n         },\n         {\n            \"id\": \"eaf68911c35420105252716b7d40ddde\",\n            \"name\": \"Sally Thomas\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"CustomerContact\"\n         }\n      ],\n      \"name\": \"Firewall Administration PI0000300\",\n      \"productSpecification\": {\n         \"id\": \"31c5caff07266010a7955b7e0ad3006b\",\n         \"name\": \"Firewall Administration\"\n      },\n      \"status\": \"Active\",\n      \"productOffering\": {\n         \"id\": \"\",\n         \"name\": \"\"\n      },\n      \"place\": {\n         \"id\": \"920cf6ac73d423002728660c4cf6a799\",\n         \"name\": \"200 South James street,Atlanta, GA\"\n      },\n      \"productCharacteristic\": [\n         {\n            \"name\": \"Firewall Administration CPE Type\",\n            \"valueType\": \"Choice\",\n            \"value\": \"Physical\"\n         },\n         {\n            \"name\": \"Configuration and Policy backup\",\n            \"valueType\": \"Choice\",\n            \"value\": \"\"\n         },\n         {\n            \"name\": \"Firewall Administration CPE ID\",\n            \"valueType\": \"Single Line Text\",\n            \"value\": \"CPE123456789\"\n         },\n         {\n            \"name\": \"Remote CLI troubleshoot support\",\n            \"valueType\": \"Choice\",\n            \"value\": \"\"\n         },\n         {\n            \"name\": \"Firewall Administration CPE Model\",\n            \"valueType\": \"Choice\",\n            \"value\": \"9300 series\"\n         }\n      ],\n      \"productRelationship\": [],\n      \"realizingService\": [],\n      \"realizingResource\": [\n         {\n            \"id\": \"3546463307666010a7955b7e0ad3005d\",\n            \"name\": \"Cisco Firewall Management system\"\n         }\n      ]\n   },\n   {\n      \"id\": \"0303a8ea74418510f877ca57242ff96d\",\n      \"relatedParty\": [\n         {\n            \"id\": \"ffc68911c35420105252716b7d40dd55\",\n            \"name\": \"Funco Intl\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Customer\"\n         },\n         {\n            \"id\": \"eaf68911c35420105252716b7d40ddde\",\n            \"name\": \"Sally Thomas\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"CustomerContact\"\n         }\n      ],\n      \"name\": \"SD-WAN Edge Device PI0001114\",\n      \"productSpecification\": {\n         \"id\": \"39b627aa53702010cd6dddeeff7b1202\",\n         \"name\": \"SD-WAN Edge Device\"\n      },\n      \"status\": \"Installation Pending\",\n      \"productOffering\": {\n         \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n         \"name\": \"Premium SD-WAN Offering\"\n      },\n      \"place\": \"\",\n      \"productCharacteristic\": [],\n      \"productRelationship\": [],\n      \"realizingService\": [\n         {\n            \"id\": \"bf65eadc1b7420106ba59acf034bcb57\",\n            \"name\": \"SD-WAN Routing\"\n         },\n         {\n            \"id\": \"16d79ec3532520103b6bddeeff7b12a6\",\n            \"name\": \"SD WAN Optimization Service\"\n         },\n         {\n            \"id\": \"16d79ec3532520103b6bddeeff7b12a6\",\n            \"name\": \"SD WAN Optimization Service\"\n         },\n         {\n            \"id\": \"bf65eadc1b7420106ba59acf034bcb57\",\n            \"name\": \"SD-WAN Routing\"\n         },\n         {\n            \"id\": \"bf65eadc1b7420106ba59acf034bcb57\",\n            \"name\": \"SD-WAN Routing\"\n         },\n         {\n            \"id\": \"bf65eadc1b7420106ba59acf034bcb57\",\n            \"name\": \"SD-WAN Routing\"\n         }\n      ],\n      \"realizingResource\": [\n         {\n            \"id\": \"493fa60b536520103b6bddeeff7b12b6\",\n            \"name\": \"Customer Premise SD-WAN Router\"\n         }\n      ]\n   }\n]\n```\n\n## Product Inventory Open API - GET /sn\\_prd\\_invt/productinventory/\\{inventoryId\\}\n\nRetrieves a product inventory.\n\n**Important:** Starting with the Tokyo release, this endpoint is deprecated. The new version of this endpoint is [Product Inventory Open API - GET /sn\\_prd\\_invt/product/\\{id\\}](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/product-inventory-open-api.md).\n\n### URL format\n\nDefault URL: `/api/sn_prd_invt/productinventory/{inventoryId}`\n\n### Supported request parameters\n\n<table id=\"table_apt_nkz_gsb\" class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ninventoryId\n\n</td><td>\n\nSys\\_id of the product inventory to retrieve.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr></tbody>\n</table><table id=\"table_pfr_vgy_fsb\" class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncustomer\n\n</td><td>\n\nFilter product inventories by customer. Only product offerings with a customer sys\\_id or external ID matching the value of this parameter are returned in the response.Data type: String\n\n</td></tr><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored.Data type: String\n\nDefault: All fields returned.\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nFilter product inventories by location.Data type: Object\n\n```\n\"place\": {\n  \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id or external id of the location associated with the product inventory record.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\nField: sys\\_id or sn\\_tmt\\_core\\_external\\_id\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nFilter product inventories by status. Only product inventories with a status matching the value of this parameter are returned in the response.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_nxj_ykz_gsb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td>\n\nRequest successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad Request. Could be any of the following reasons: -   Invalid path parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td>\n\nRecord not found. Record associated with the ID is not found in the table.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"table_shr_nvy_3sb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nexternalId\n\n</td><td>\n\nExternal ID of the product inventory.Table: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the product inventory Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the product inventory.Data type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nPlace associated with the product.Data type: Object\n\n```\n\"place\": {\n  \"id\": \"String\",\n  \"name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nLocation sys\\_id or external\\_id of the product inventory.Table: Location \\[cmn\\_location\\]\n\nData: String\n\n</td></tr><tr><td>\n\nplace.name\n\n</td><td>\n\nName of the location associated with the product inventory.Table: Location \\[cmn\\_location\\]\n\nData: String\n\n</td></tr><tr><td>\n\nproductCharacteristic\n\n</td><td>\n\nList of product characteristics.For additional information on product characteristics, see [Create a product offering category](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-create-product-offering-category.md).\n\nData type: Array of Objects\n\n```\n\"productCharacteristic\": [\n {\n  \"name\": \"String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nproductCharacteristic.name\n\n</td><td>\n\nName of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nproductCharacteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nproductCharacteristic.valueType\n\n</td><td>\n\nType of characteristic value.Accepted values:\n\n-   address\n-   array.date\n-   array.datetime\n-   array.decimal\n-   array.integer\n-   array.object\n-   array.single\\_line\\_text\n-   attachment\n-   checkbox\n-   choice\n-   date\n-   date\\_time\n-   decimal\n-   duration\n-   email\n-   integer\n-   object\n-   single\\_line\\_text\n-   yes\\_no\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOffering\n\n</td><td>\n\nProduct offering that the product inventory is associated with.Data type: Object\n\n```\n\"productOffering\": {\n  \"id\": \"String\",\n  \"name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOffering.id\n\n</td><td>\n\nSys\\_id of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nproductOffering.name\n\n</td><td>\n\nName of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nproductRelationship\n\n</td><td>\n\nList of related products.Data type: Array of Objects\n\n```\n\"productRelationship\": [\n  {\n    \"productId\": \"String\",\n    \"relationshipType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductRelationship.productId\n\n</td><td>\n\nSys\\_id of the related product.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nproductRelationship.relationshipType\n\n</td><td>\n\nType of relationship.Data type: String\n\n</td></tr><tr><td>\n\nproductSpecification\n\n</td><td>\n\nProduct specification for the product.Data type: Object\n\n```\n\"productSpecification\": {\n  \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductSpecification.id\n\n</td><td>\n\nSys\\_id of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\n</td></tr><tr><td>\n\nrealizingResource\n\n</td><td>\n\nRealizing resource.Data type: Object\n\n```\n\"realizingResource\": {\n  \"id\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingResource.id\n\n</td><td>\n\nSys\\_id of the realizing resource.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingResource.type\n\n</td><td>\n\nType of the realizing resource.Data type: String\n\n</td></tr><tr><td>\n\nrealizingService\n\n</td><td>\n\nRealizing service.Data type: Object\n\n```\n\"realizingService\": {\n  \"id\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingService.id\n\n</td><td>\n\nSys\\_id of the realizing service.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingService.type\n\n</td><td>\n\nType of the realizing service.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties associated with the ticket.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"@referredType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the account or customer contact associated with the ticket.Data type: String\n\nTable: Account \\[customer\\_account\\], Contact \\[customer\\_contact\\], or Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party. Value is always `Related Party`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.type\n\n</td><td>\n\nType of customer.Possible values:\n\n-   consumer\n-   customer\n-   customerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nCurrent state of the product.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example retrieves a product inventory for an SD-WAN service package.\n\n```\ncurl --location --request GET 'https:// instance.servicenow.com/api/sn_prd_invt/productinventory/074450fc74918d10f877ca57242ff9e3' \\\n--user 'username':'password'\n\n```\n\nOutput:\n\n```\n{\n   \"id\": \"074450fc74918d10f877ca57242ff9e3\",\n   \"externalId\": \"LOC-SF-HQ-2026\",\n   \"relatedParty\": [\n      {\n         \"id\": \"ffc68911c35420105252716b7d40dd55\",\n         \"name\": \"Funco Intl\",\n         \"@type\": \"RelatedParty\",\n         \"@referredType\": \"Customer\"\n      },\n      {\n         \"id\": \"eaf68911c35420105252716b7d40ddde\",\n         \"name\": \"Sally Thomas\",\n         \"@type\": \"RelatedParty\",\n         \"@referredType\": \"CustomerContact\"\n      }\n   ],\n   \"name\": \"SD-WAN Service Package PI0001576\",\n   \"productSpecification\": {\n      \"id\": \"cfe5ef6a53702010cd6dddeeff7b12f6\",\n      \"name\": \"SD-WAN Service Package\"\n   },\n   \"status\": \"Installation Pending\",\n   \"productOffering\": {\n      \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n      \"name\": \"Premium SD-WAN Offering\"\n   },\n   \"place\": \"\",\n   \"productCharacteristic\": [],\n   \"productRelationship\": [\n      {\n         \"id\": \"a74490fc74918d10f877ca57242ff942\",\n         \"name\": \"SD-WAN Edge Device PI0001582\",\n         \"relationshipType\": \"Bundles\"\n      },\n      {\n         \"id\": \"b85414fc74918d10f877ca57242ff90e\",\n         \"name\": \"SD-WAN Controller PI0001602\",\n         \"relationshipType\": \"Bundles\"\n      },\n      {\n         \"id\": \"d74490fc74918d10f877ca57242ff907\",\n         \"name\": \"SD-WAN Security PI0001577\",\n         \"relationshipType\": \"Bundles\"\n      }\n   ],\n   \"realizingService\": [],\n   \"realizingResource\": []\n}\n```\n\n## Product Inventory Open API – PATCH /sn\\_prd\\_invt/order/product/\\{id\\}\n\nUpdates a specified product inventory record.\n\n### URL format\n\nDefault URL: `/api/sn_prd_invt/order/product/{id}`\n\n### Supported request parameters\n\n<table id=\"table_vvs_bvr_1hc\" class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the product inventory to update.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nbundle\n\n</td><td>\n\nFlag that indicates whether the product inventory record is part of a bundled product.Valid values:\n\n-   true: Is part of a bundle.\n-   false: Isn't part of a bundle.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the product inventory.Data type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nLocation of the product.Data type: Array\n\n```\n\"place\": [\n   {\n      \"id\": \"String\",\n      \"name\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nLocation sys\\_id or external id.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\nField: sys\\_id or sn\\_tmt\\_core\\_external\\_id\n\n</td></tr><tr><td>\n\nplace.name\n\n</td><td>\n\nName of the location.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\nField: name\n\n</td></tr><tr><td>\n\nproductOffering\n\n</td><td>\n\nProduct offering that the product inventory is associated with.Data type: Object\n\n```\n\"productOffering\": {\n   \"@referredType\": \"String\",\n   \"id\": \"String\",\n   \"internalId\": \"String\",\n   \"internalVersion\": \"String\",\n   \"name\": \"String\",\n   \"status\": \"String\",\n   \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOffering.@referredType\n\n</td><td>\n\nThis value is always `ProductOffering`.Data type: String\n\n</td></tr><tr><td>\n\nproductOffering.id\n\n</td><td>\n\nInitial version or external ID of the product offering. Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: initial\\_version or external\\_id\n\n</td></tr><tr><td>\n\nproductOffering.internalId\n\n</td><td>\n\nInternal version of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: internal\\_version\n\n</td></tr><tr><td>\n\nproductOffering.internalVersion\n\n</td><td>\n\nVersion of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: version\n\n</td></tr><tr><td>\n\nproductOffering.name\n\n</td><td>\n\nName of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: name\n\n</td></tr><tr><td>\n\nproductOffering.status\n\n</td><td>\n\nStatus of the product offering.Possible values:\n\n-   archived\n-   draft\n-   published\n-   retired\n\nData type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: status\n\n</td></tr><tr><td>\n\nproductOffering.version\n\n</td><td>\n\nExternal version of the product offering. Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: external\\_version\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties associated with the ticket.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"@referredType\": \"String\",\n    \"@type\": \"String\",\n    \"id\": \"String\",\n    \"name\": \"String\"   \n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party.Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedParty`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the account or customer contact associated with the ticket.Data type: String\n\nTable: Account \\[customer\\_account\\], Contact \\[customer\\_contact\\], or Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the of the account or customer contact associated with the ticket.Data type: String\n\nTable: Account \\[customer\\_account\\], Contact \\[customer\\_contact\\], or Consumer \\[csm\\_consumer\\]\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nbundle\n\n</td><td>\n\nFlag that indicates whether the product inventory record is part of a bundled product.Valid values:\n\n-   true: Is part of a bundle.\n-   false: Isn't part of a bundle.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the product inventory.Data type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nLocation of the product.Data type: Array\n\n```\n\"place\": [\n   {\n      \"id\": \"String\",\n      \"name\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nLocation sys\\_id or external id.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\nField: sys\\_id or sn\\_tmt\\_core\\_external\\_id\n\n</td></tr><tr><td>\n\nplace.name\n\n</td><td>\n\nName of the location.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\nField: name\n\n</td></tr><tr><td>\n\nproductOffering\n\n</td><td>\n\nProduct offering that the product inventory is associated with.Data type: Object\n\n```\n\"productOffering\": {\n   \"@referredType\": \"String\",\n   \"id\": \"String\",\n   \"internalId\": \"String\",\n   \"internalVersion\": \"String\",\n   \"name\": \"String\",\n   \"status\": \"String\",\n   \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOffering.@referredType\n\n</td><td>\n\nThis value is always `ProductOffering`.Data type: String\n\n</td></tr><tr><td>\n\nproductOffering.id\n\n</td><td>\n\nInitial version or external ID of the product offering. Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: initial\\_version or external\\_id\n\n</td></tr><tr><td>\n\nproductOffering.internalId\n\n</td><td>\n\nInternal version of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: internal\\_version\n\n</td></tr><tr><td>\n\nproductOffering.internalVersion\n\n</td><td>\n\nVersion of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: version\n\n</td></tr><tr><td>\n\nproductOffering.name\n\n</td><td>\n\nName of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: name\n\n</td></tr><tr><td>\n\nproductOffering.status\n\n</td><td>\n\nStatus of the product offering.Possible values:\n\n-   archived\n-   draft\n-   published\n-   retired\n\nData type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: status\n\n</td></tr><tr><td>\n\nproductOffering.version\n\n</td><td>\n\nExternal version of the product offering. Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: external\\_version\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties associated with the ticket.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"@referredType\": \"String\",\n    \"@type\": \"String\",\n    \"id\": \"String\",\n    \"name\": \"String\"   \n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party.Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedParty`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the account or customer contact associated with the ticket.Data type: String\n\nTable: Account \\[customer\\_account\\], Contact \\[customer\\_contact\\], or Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the of the account or customer contact associated with the ticket.Data type: String\n\nTable: Account \\[customer\\_account\\], Contact \\[customer\\_contact\\], or Consumer \\[csm\\_consumer\\]\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example updates a product inventory record.\n\n```\ncurl \"https://instance.service-now.com/api/sn_prd_invt/product/036e506510322250f8777d910acbd77f\" \\ \n--request PATCH \\ \n--header \"Accept:application/json\" \\ \n--header \"Content-Type:application/json\" \\ \n--data \"{ \n   \\\"name\\\": \\\"Internet Plan\\\", \n   \\\"productOffering\\\": { \n      \\\"@referredType\\\": \\\"ProductOffering\\\", \n      \\\"name\\\": \\\"Premium SD-WAN Offering\\\", \n      \\\"id\\\": \\\"0361dd9fd0a63110f8770dbf976be16f\\\" \n   }, \n   \\\"relatedParty\\\": [ \n      { \n         \\\"@referredType\\\": \\\"CustomerContact\\\", \n         \\\"@type\\\": \\\"RelatedParty\\\", \n         \\\"name\\\": \\\"Sally Thomas\\\", \n         \\\"id\\\": \\\"f3af54c413651200042ab3173244b053\\\" \n      }, \n      {\n         \\\"@referredType\\\": \\\"Customer\\\", \n         \\\"@type\\\": \\\"RelatedParty\\\", \n         \\\"name\\\": \\\"Funco Intl\\\", \n         \\\"id\\\": \\\"ffc68911c35420105252716b7d40dd55\\\" \n      } \n   ], \n   \\\"bundle\\\": false, \n   \\\"place\\\": [ \n      { \n         \\\"id\\\": \\\"25ab9c4d0a0a0bb300f7dabdc0ca7c1c\\\", \n         \\\"name\\\": \\\"100 South Charles Street, Baltimore, MD\\\" \n      } \n   ] \n}\" \\ \n--user 'username':'password'\n```\n\nResponse body.\n\n```\n{\n   \"name\": \"Internet Plan\",\n   \"productOffering\": {\n      \"@referredType\": \"ProductOffering\",\n      \"name\": \"Premium SD-WAN Offering\",\n      \"id\": \"0361dd9fd0a63110f8770dbf976be16f\",\n      \"internalVersion\": \"1\",\n      \"version\": \"\",\n      \"status\": \"published\",\n      \"internalId\": \"0361dd9fd0a63110f8770dbf976be16f\"\n   },\n   \"relatedParty\": [\n      {\n         \"@referredType\": \"CustomerContact\",\n         \"@type\": \"RelatedParty\",\n         \"name\": \"Sally Thomas\",\n         \"id\": \"f3af54c413651200042ab3173244b053\"\n      },\n      {\n         \"@referredType\": \"Customer\",\n         \"@type\": \"RelatedParty\",\n         \"name\": \"Funco Intl\",\n         \"id\": \"ffc68911c35420105252716b7d40dd55\"\n      }\n   ],\n   \"bundle\": false,\n   \"place\": [\n      {\n         \"id\": \"25ab9c4d0a0a0bb300f7dabdc0ca7c1c\",\n         \"name\": \"100 South Charles Street, Baltimore, MD\"\n      }\n   ],\n   \"productPrice\": [],\n   \"id\": \"036e506510322250f8777d910acbd77f\",\n   \"href\": \"/api/sn_prd_invt/product/036e506510322250f8777d910acbd77f\"\n}\n```\n\n## Product Inventory Open API - POST /sn\\_prd\\_invt/product\n\nCreates a product inventory record.\n\n### URL format\n\nDefault URL: `/api/sn_prd_invt/product`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nbundle\n\n</td><td>\n\nFlag that indicates whether the product inventory record is part of a bundled product.Valid values:\n\n-   true: Is part of a bundle.\n-   false: Isn't part of a bundle.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nisBundle\n\n</td><td>\n\nFlag that indicates whether the product inventory record is part of a bundled product.Valid values:\n\n-   true: Is part of a bundle.\n-   false: Isn't part of a bundle.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nRequired. Name of the product inventory.Data type: String\n\n</td></tr><tr><td>\n\npid\n\n</td><td>\n\nUnique identifier for the product inventory from the external system.Data type: String\n\n Default: Blank string\n\n</td></tr><tr><td>\n\nproductCharacteristic\n\n</td><td>\n\nList of product characteristics.For additional information on product characteristics, see [Create a product offering category](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-create-product-offering-category.md).\n\nData type: Array of Objects\n\n```\n\"productCharacteristic\": [\n {\n  \"name\": \"String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nproductCharacteristic.name\n\n</td><td>\n\nName of the characteristic.Data type: String\n\n Default: Blank string\n\n</td></tr><tr><td>\n\nproductCharacteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\nDefault: Blank string\n\n</td></tr><tr><td>\n\nproductCharacteristic.valueType\n\n</td><td>\n\nType of characteristic value.Accepted values:\n\n-   address\n-   array.date\n-   array.datetime\n-   array.decimal\n-   array.integer\n-   array.object\n-   array.single\\_line\\_text\n-   attachment\n-   checkbox\n-   choice\n-   date\n-   date\\_time\n-   decimal\n-   duration\n-   email\n-   integer\n-   object\n-   single\\_line\\_text\n-   yes\\_no\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOffering\n\n</td><td>\n\nRequired. Product offering that the product inventory is associated with.Data type: Object\n\n ```\n\"productOffering\": {\n   \"id\": \"String\",\n   \"internalVersion\": \"String\",\n   \"name\": \"String\",\n   \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOffering.id\n\n</td><td>\n\nRequired. Initial\\_version or external\\_id of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nproductOffering.internalVersion\n\n</td><td>\n\nVersion of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: version\n\n</td></tr><tr><td>\n\nproductOffering.name\n\n</td><td>\n\nName of the product offering.Data type: String\n\nDefault: Blank string\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nproductOffering.version\n\n</td><td>\n\nExternal version of the product offering. Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: external\\_version\n\n</td></tr><tr><td>\n\nproductRelationship\n\n</td><td>\n\nList of related products.Data type: Array of Objects\n\n```\n\"productRelationship\": [\n  {\n    \"productId\": \"String\",\n    \"relationshipType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductRelationship.productId\n\n</td><td>\n\nRequired if using the **productRelationship** parameter. Sys\\_id of the related product.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nproductRelationship.relationshipType\n\n</td><td>\n\nType of relationship. The only valid value is `child`.\n\nData type: String\n\nDefault: Blank string\n\n</td></tr><tr><td>\n\nproductSpecification\n\n</td><td>\n\nRequired. Product specification for the product.Data type: Object\n\n```\n\"productSpecification\": {\n  \"id\": \"String\",\n  \"internalVersion\": \"String\",\n  \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductSpecification.id\n\n</td><td>\n\nRequired. Initial\\_version or external\\_id of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\n</td></tr><tr><td>\n\nproductSpecification.internalVersion\n\n</td><td>\n\nVersion of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: version\n\n</td></tr><tr><td>\n\nproductSpecification.version\n\n</td><td>\n\nExternal version of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: external\\_version\n\n</td></tr><tr><td>\n\nrealizingResource\n\n</td><td>\n\nResource that realizes the product. The realizing resource is a child product inventory of this product inventory.Data type: Object\n\n```\n\"realizingResource\": {\n  \"id\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingResource.id\n\n</td><td>\n\nRequired if using the **realizingResource** parameter. Sys\\_id of the realizing resource. Data type: String\n\n</td></tr><tr><td>\n\nrealizingResource.type\n\n</td><td>\n\nType of the realizing resource.Valid value: child\n\nData type: String\n\n</td></tr><tr><td>\n\nrealizingService\n\n</td><td>\n\nService that realizes the product. The realizing service is a child product inventory of this product inventory.Data type: Object\n\n```\n\"realizingService\": {\n  \"id\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingService.id\n\n</td><td>\n\nRequired if using the **realizingService** parameter. Sys\\_id of the realizing service. Data type: String\n\n</td></tr><tr><td>\n\nrealizingService.type\n\n</td><td>\n\nType of the realizing service.Valid value: child\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties associated with the ticket.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"@referredType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of customer.Possible values:\n\n-   consumer\n-   customer\n-   customer\\_contact\n\nData type: String\n\nDefault: Blank string\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nRequired if using the **relatedParty** parameter. Sys\\_id of the account or customer contact associated with the ticket.Data type: String\n\nTable: Account \\[customer\\_account\\], Contact \\[customer\\_contact\\], or Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nCurrent state of the product.Possible values:\n\n-   active\n-   change\\_pending\n-   inactivation\\_pending\n-   inactive\n-   installation\\_pending\n\nData type: String\n\nDefault: installation\\_pending\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_fbw_k3z_gsb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n201\n\n</td><td>\n\nRequest successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad Request. Could be any of the following reasons: -   Empty payload.\n-   Invalid payload. Mandatory field missing: &lt;field name&gt;\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nbundle\n\n</td><td>\n\nFlag that indicates whether the product inventory record is part of a bundled product.Valid values:\n\n-   true: Is part of a bundle.\n-   false: Isn't part of a bundle.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the product inventory record.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the product inventory.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nisBundle\n\n</td><td>\n\nFlag that indicates whether the product inventory record is part of a bundled product.Valid values:\n\n-   true: Is part of a bundle.\n-   false: Isn't part of a bundle.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the product inventory.Data type: String\n\n</td></tr><tr><td>\n\npid\n\n</td><td>\n\nUnique identifier for the product inventory from the external system.Data type: String\n\n</td></tr><tr><td>\n\nproductCharacteristic\n\n</td><td>\n\nList of product characteristics.Data type: Array of Objects\n\n```\n\"productCharacteristic\": [\n  {\n    \"name\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductCharacteristic.name\n\n</td><td>\n\nName of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nproductCharacteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nproductOffering\n\n</td><td>\n\nProduct offering that the product inventory is associated with.Data type: Object\n\n```\n\"productOffering\": {\n   \"id\": \"String\",\n   \"internalId\": \"String\",\n   \"internalVersion\": \"String\",\n   \"name\": \"String\",\n   \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOffering.id\n\n</td><td>\n\nInitial version or external ID of the product offering. Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: initial\\_version or external\\_id\n\n</td></tr><tr><td>\n\nproductOffering.internalId\n\n</td><td>\n\nInternal version of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: internal\\_version\n\n</td></tr><tr><td>\n\nproductOffering.internalVersion\n\n</td><td>\n\nVersion of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: version\n\n</td></tr><tr><td>\n\nproductOffering.name\n\n</td><td>\n\nName of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nproductOffering.version\n\n</td><td>\n\nExternal version of the product offering. Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nField: external\\_version\n\n</td></tr><tr><td>\n\nproductPrice\n\n</td><td>\n\nReturns an empty array.Data type: Array\n\n</td></tr><tr><td>\n\nproductRelationship\n\n</td><td>\n\nList of related products.Data type: Array of Objects\n\n```\n\"productRelationship\": [\n  {\n    \"productId\": \"String\",\n    \"relationshipType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductRelationship.productId\n\n</td><td>\n\nSys\\_id of the related product.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nproductRelationship.relationshipType\n\n</td><td>\n\nType of relationship.Data type: String\n\n</td></tr><tr><td>\n\nproductSpecification\n\n</td><td>\n\nProduct specification for the product.Data type: Object\n\n```\n\"productSpecification\": {\n  \"id\": \"String\",\n  \"internalId\": \"String\",\n  \"internalVersion\": \"String\",\n  \"version\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductSpecification.id\n\n</td><td>\n\nInitial version or external ID of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: internal\\_version or external\\_id\n\n</td></tr><tr><td>\n\nproductSpecification.internalId\n\n</td><td>\n\nInitial version of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: initial\\_version\n\n</td></tr><tr><td>\n\nproductSpecification.internalVersion\n\n</td><td>\n\nVersion of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: version\n\n</td></tr><tr><td>\n\nproductSpecification.version\n\n</td><td>\n\nExternal version of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\nField: external\\_version\n\n</td></tr><tr><td>\n\nrealizingResource\n\n</td><td>\n\nResource that realizes the product. The realizing resource is a child product inventory of this product inventory.Data type: Object\n\n```\n\"realizingResource\": {\n  \"id\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingResource.id\n\n</td><td>\n\nSys\\_id of the realizing resource. Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingResource.type\n\n</td><td>\n\nType of the realizing resource.Valid value: child\n\nData type: String\n\n</td></tr><tr><td>\n\nrealizingService\n\n</td><td>\n\nService that realizes the product. The realizing service is a child product inventory of this product inventory.Data type: Object\n\n```\n\"realizingService\": {\n  \"id\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingService.id\n\n</td><td>\n\nSys\\_id of the realizing service. Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingService.type\n\n</td><td>\n\nType of the realizing service.Valid value: child\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties associated with the ticket.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"@referredType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party. Value is always `Related Party`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the account or customer contact associated with the ticket.Data type: String\n\nTable:Account \\[customer\\_account\\], Contact \\[customer\\_contact\\], or Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nrelatedParty.type\n\n</td><td>\n\nType of customer.Possible values:\n\n-   consumer\n-   customer\n-   customerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nCurrent state of the product.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example creates a product inventory for a voice over IP solution for a user.\n\n```\ncurl -X POST \"https://instance.service-now.com/api/sn_prd_invt/product\" \\\n--header \"Accept: application/json\" \\\n--header \"Content-Type: application/json\" \\\n--user \"username\":\"password\" \\\n--data \"[\n   {\n      \"pid\": \"PO-456\",\n      \"description\": \"inventory description\",\n      \"isBundle\": false,\n      \"name\": \"Voice Over IP Basic instance for Jean\",\n      \"productOffering\": {\n         \"@referredType\": \"ProductOffering\",\n         \"name\": \"Premium SD-WAN Offering\",\n         \"id\": \"69017a0f536520103b6bddeeff7b127d\"\n      },\n      \"productCharacteristic\": [],\n      \"productRelationship\": [\n         {\n            \"productId\": \"fa6d13f45b5620102dff5e92dc81c77f\",\n            \"relationshipType\": \"child\"\n         }\n      ],\n      \"realizingService\": {\n         \"id\": \"fe6d13f45b5620102dff5e92dc81c786\",\n         \"relationshipType\": \"child\"\n      },\n      \"realizingResource\": {\n         \"id\": \"326d13f45b5620102dff5e92dc81c78c\",\n         \"relationshipType\": \"child\"\n      },\n      \"relatedParty\": [\n         {\n            \"@referredType\": \"CustomerContact\",\n            \"@type\": \"RelatedParty\",\n            \"name\": \"Sally Thomas\",\n            \"id\": \"eaf68911c35420105252716b7d40ddde\"\n         },\n         {\n            \"@referredType\": \"Customer\",\n            \"@type\": \"RelatedParty\",\n            \"name\": \"Funco Intl\",\n            \"id\": \"ffc68911c35420105252716b7d40dd55\"\n         }\n      ],\n      \"productSpecification\": {\n         \"@referredType\": \"ProductSpecification\",\n         \"@type\": null,\n         \"name\": null,\n         \"id\": \"3ee1fdb1c3331010d216b5183c40dd81\",\n         \"internalVersion\": \"1\"\n      },\n      \"bundle\": false\n   }\n]\"\n```\n\nResponse body.\n\n```\n{\n   \"pid\": \"PO-456\",\n   \"description\": \"inventory description\",\n   \"isBundle\": false,\n   \"name\": \"Voice Over IP Basic instance for Jean\",\n   \"productOffering\": {\n      \"@referredType\": \"ProductOffering\",\n      \"name\": \"Premium SD-WAN Offering\",\n      \"id\": \"69017a0f536520103b6bddeeff7b127d\",\n      \"internalVersion\": \"1\",\n      \"version\": null,\n      \"status\": \"published\",\n      \"internalId\": \"69017a0f536520103b6bddeeff7b127d\"\n   },\n   \"productCharacteristic\": [],\n   \"productRelationship\": [\n      {\n         \"productId\": \"fa6d13f45b5620102dff5e92dc81c77f\",\n         \"relationshipType\": \"child\"\n      }\n   ],\n   \"realizingService\": {\n      \"id\": \"fe6d13f45b5620102dff5e92dc81c786\",\n      \"relationshipType\": \"child\"\n   },\n   \"realizingResource\": {\n      \"id\": \"326d13f45b5620102dff5e92dc81c78c\",\n      \"relationshipType\": \"child\"\n   },\n   \"relatedParty\": [\n      {\n         \"@referredType\": \"CustomerContact\",\n         \"@type\": \"RelatedParty\",\n         \"name\": \"Sally Thomas\",\n         \"id\": \"eaf68911c35420105252716b7d40ddde\"\n      },\n      {\n         \"@referredType\": \"Customer\",\n         \"@type\": \"RelatedParty\",\n         \"name\": \"Example Company\",\n         \"id\": \"ffc68911c35420105252716b7d40dd55\"\n      }\n   ],\n   \"productSpecification\": {\n      \"@referredType\": \"ProductSpecification\",\n      \"@type\": null,\n      \"name\": null,\n      \"id\": \"3ee1fdb1c3331010d216b5183c40dd81\",\n      \"internalVersion\": \"1\",\n      \"version\": null,\n      \"status\": \"published\",\n      \"internalId\": \"3ee1fdb1c3331010d216b5183c40dd81\"\n   },\n   \"bundle\": false,\n   \"productPrice\": [],\n   \"id\": \"25b07475471789108761b955d36d439d\",\n   \"href\": \"/api/sn_prd_invt/product/25b07475471789108761b955d36d439d\"\n}\n```\n\n## Product Inventory Open API - POST /sn\\_prd\\_invt/productinventory\n\nCreates a product inventory.\n\n**Important:** Starting with the Tokyo release, this endpoint is deprecated. The new version of this endpoint is [Product Inventory Open API - POST /sn\\_prd\\_invt/product](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/product-inventory-open-api.md).\n\n### URL format\n\nDefault URL: `/api/sn_prd_invt/productinventory`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nisBundle\n\n</td><td>\n\nFlag that indicates whether the product inventory record is part of a bundled product.Valid values:\n\n-   true: Is part of a bundle.\n-   false: Isn't part of a bundle.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nRequired. Name of the product inventory.Data type: String\n\n</td></tr><tr><td>\n\npid\n\n</td><td>\n\nUnique identifier for the product inventory from the external system.Data type: String\n\nDefault: Blank string\n\n</td></tr><tr><td>\n\nproductCharacteristic\n\n</td><td>\n\nList of product characteristics.For additional information on product characteristics, see [Create a product offering category](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-create-product-offering-category.md).\n\nData type: Array of Objects\n\n```\n\"productCharacteristic\": [\n {\n  \"name\": \"String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nproductCharacteristic.name\n\n</td><td>\n\nName of the characteristic.Data type: String\n\nDefault: Blank string\n\n</td></tr><tr><td>\n\nproductCharacteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\nDefault: Blank string\n\n</td></tr><tr><td>\n\nproductCharacteristic.valueType\n\n</td><td>\n\nType of characteristic value.Accepted values:\n\n-   address\n-   array.date\n-   array.datetime\n-   array.decimal\n-   array.integer\n-   array.object\n-   array.single\\_line\\_text\n-   attachment\n-   checkbox\n-   choice\n-   date\n-   date\\_time\n-   decimal\n-   duration\n-   email\n-   integer\n-   object\n-   single\\_line\\_text\n-   yes\\_no\n\nData type: String\n\n</td></tr><tr><td>\n\nproductOffering\n\n</td><td>\n\nRequired. Product offering that the product inventory is associated with.Data type: Object\n\n ```\n\"productOffering\": {\n   \"id\": \"String\",\n   \"name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductOffering.id\n\n</td><td>\n\nRequired. Sys\\_id of the product offering.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nproductOffering.name\n\n</td><td>\n\nName of the product offering.Data type: String\n\nDefault: Blank string\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nproductRelationship\n\n</td><td>\n\nList of related products.Data type: Array of Objects\n\n```\n\"productRelationship\": [\n  {\n    \"productId\": \"String\",\n    \"relationshipType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nproductRelationship.productId\n\n</td><td>\n\nRequired if using the **productRelationship** parameter. Sys\\_id of the related product.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nproductRelationship.relationshipType\n\n</td><td>\n\nType of relationship. The only valid value is `child`.\n\nData type: String\n\nDefault: Blank string\n\n</td></tr><tr><td>\n\nproductSpecification\n\n</td><td>\n\nRequired. Product specification for the product.Data type: Object\n\n```\n\"productSpecification\": {\n  \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nproductSpecification.id\n\n</td><td>\n\nRequired. Sys\\_id of the product specification.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\n</td></tr><tr><td>\n\nrealizingResource\n\n</td><td>\n\nRealizing resource.Data type: Object\n\n```\n\"realizingResource\": {\n  \"id\": \"String\",\n  \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingResource.id\n\n</td><td>\n\nRequired if using the **realizingResource** parameter. Sys\\_id of the realizing resource.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingResource.type\n\n</td><td>\n\nType of the realizing resource.The only valid value is `child`.\n\nData type: String\n\nDefault: Blank string\n\n</td></tr><tr><td>\n\nrealizingService\n\n</td><td>\n\nRealizing service.Data type: Object\n\n```\n\"realizingService\": {\n      \"id\": \"String\",\n      \"type\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nrealizingService.id\n\n</td><td>\n\nRequired if using the **realizingService** parameter. Sys\\_id of the realizing service.Data type: String\n\nTable: Product Inventory \\[sn\\_prd\\_invt\\_product\\_inventory\\]\n\n</td></tr><tr><td>\n\nrealizingService.type\n\n</td><td>\n\nType of the realizing service.The only valid value is `child`.\n\nData type: String\n\nDefault: Blank string\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties associated with the ticket.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"@referredType\": \"String\"\
[...]
